{
    "name": "saro0h/to-do-list",
    "license": "proprietary",
    "type": "project",
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "config": {
        "allow-plugins": {
            "composer/package-versions-deprecated": true,
            "symfony/flex": true,
            "symfony/runtime": true
        },
        "optimize-autoloader": true,
        "preferred-install": {
            "*": "dist"
        },
        "platform": {
            "php": "8.1.4"
        },
        "sort-packages": true
    },
    "require": {
        "php": ">=8.1",
        "doctrine/doctrine-migrations-bundle": "^3.1",
        "doctrine/orm": "^2.5",
        "scienta/doctrine-json-functions": "^5.1",
        "sensio/framework-extra-bundle": "^6.2",
        "symfony/asset": "^6.1",
        "symfony/dotenv": "^6.1",
        "symfony/flex": "^1.19",
        "symfony/form": "^6.1",
        "symfony/http-client": "^6.1",
        "symfony/polyfill-apcu": "^1.0",
        "symfony/proxy-manager-bridge": "^6.1",
        "symfony/rate-limiter": "^6.1",
        "symfony/runtime": "^6.1",
        "symfony/security-bundle": "6.1",
        "symfony/translation": "^6.1",
        "symfony/twig-bundle": "^6.1",
        "symfony/validator": "^6.1",
        "symfony/yaml": "^6.1",
        "twig/extra-bundle": "^2.12|^3.0",
        "twig/twig": "^2.12|^3.0"
    },
    "require-dev": {
        "dama/doctrine-test-bundle": "^7.1",
        "doctrine/doctrine-fixtures-bundle": "^3.4",
        "phpunit/phpunit": "^9.5",
        "symfony/browser-kit": "6.1.*",
        "symfony/css-selector": "6.1.*",
        "symfony/maker-bundle": "^1.45",
        "symfony/phpunit-bridge": "^6.1",
        "symfony/stopwatch": "6.1.*",
        "symfony/web-profiler-bundle": "6.1.*",
        "zenstruck/foundry": "^1.21"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "6.1.*"
        }
    },
    "conflict": {
        "symfony/symfony": "*"
    }
}
